.page-layout-container {
  margin-bottom: var(--section-bottom);
}

.sp-block-dashed {
	margin-top: 32px;
	margin-bottom: 32px;
	padding-bottom: 32px;
	padding-top: 32px;
	border-top: 1px dashed var(--border-color);
	border-bottom: 1px dashed var(--border-color);
}

.sp-block-dashed + .sp-block-dashed {
	margin-top: 0;
	padding-top: 0;
	border-top: none;
}


.b-statsionar-rooms {
	.item-element {
		padding: 16px 28px 28px;
		border-radius: 28px;
		background-color: #D1D1D1;
		display: flex;
		min-height: 100%;
		@media (max-width: 1199.87px) {
			flex-direction: column;
			max-width: 420px;
			margin-left: auto;
			margin-right: auto;
		}
		&.is-vip {
			background: #263b24;
			color: var(--white);
		}
	}
	.item-body {
		flex: 1 1 auto;
		display: flex;
		flex-direction: column;
		align-items: start;
		@media (max-width: 1199.87px) {
			flex-direction: row;
			align-items: end;
			flex-grow: 0;
			margin-bottom: auto;
		}
	}
	.item-img {
		flex: 0 0 auto;
		height: 264px;
		width: auto;
		@media (min-width: 1199.89px) and (max-width:1779.87px) {
			height: 140px;
		}
		@media (max-width: 1199.87px) {
			height: auto;
			width: 100%;
		}
	}
	.item-number {
		font-family: var(--second-family);
		font-weight: 400;
		font-size: 120px;
		line-height: 95%;
		letter-spacing: -0.03em;
	}
	.item-caption {
		font-family: var(--font-family);
		font-weight: 500;
		font-size: 24px;
		line-height: 135%;
		letter-spacing: -0.01em;

		@media (max-width: 1199.87px) {
			font-weight: 500;
			font-size: 20px;
			line-height: 135%;
			letter-spacing: -0.01em;
			margin-bottom: 15px;
			margin-left: 12px;
		}
	}
	.item-contents {
		margin-top: auto;
		padding-top: 4px;
		font-family: var(--font-family);
		font-weight: 500;
		font-size: 14px;
		line-height: 145%;
		display: flex;
		flex-direction: column;
		gap: 4px;
		@media (max-width: 1199.87px) {
			display: none;
		}
	}
}


.chip-type-dropdown {
	.form-select:focus {
		box-shadow: none;
	}
}

.chip-type-datepicker {
	position: relative;
	.actual-input {
		position: absolute;
		width: 100%;
		opacity: 0;
	}
	.display-value {
		position: relative;
	}
	&:not(.has-value) {
		.clear-button {
			display: none;
		}
	}
	.clear-button {
    padding: 2px;
    background: var(--grey);
    border-radius: 100%;
    min-width: 1em;
    min-height: 1em;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
	}
}

.flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)) {
    -webkit-box-shadow: -10px 0 0 var(--dark);
    box-shadow: -10px 0 0 var(--dark);
}

.card-author-img {
  aspect-ratio: 1;
  object-fit: cover;
  object-position: center top;
}

.flatpickr-calendar {
	width: auto;
	max-width: 700px;
}

.p-news-blog-authors .item-author-img {
	object-position: top center;
}

.p-news-blog-authors .item-author {
    align-items: stretch;
}
.p-news-blog-authors .item-author-body {
	display: flex;
	flex-direction: column;
}

.p-news-blog-authors .item-author-link {
    margin-top: auto;
}

.p-news-blog-sources {
	margin-top: 48px;
	font-size: 14px;
	li {
		margin-bottom: 0;
	}
}

.p-news-blog-sources-innner {
	max-height: 340px;
	overflow-y: auto;
}

.p-blog-content-aside {
	.p-article-toc__list {
		max-height: 60vh;
		overflow: auto;
	}
}

.b-article-meta .item-meta-share .ya-share2 {
    position: absolute;
    top: 100%;
    z-index: 4;
    background: var(--white);
    padding: 12px 20px;
    border-radius: 4px;
    right: 0;
    box-shadow: var(--box-shadow-sm);
		white-space: nowrap;
		text-align: right;
}

.b-article-meta .item-meta-share {
    position: relative;
}

.b-article-meta .item-meta-share:not(.active) .ya-share2 {
	display: none;
}

.b-review-card .card-author .card-author-box {
	min-width: 0;
}

.custom-select.locked {
	.form-select {
		background-color: var(--15-opacity-dark);
		color: var(--40-opacity-dark);
		cursor: default;
	}
}


[data-validate-group] .just-validate-error-label {
	display: block;
}


.custom-select.ts-wrapper .form-select {
    display: flex;
}

.tc-block-quote .tc-block-author-img {
	object-position: top center;
	object-fit: cover;
}

.tc-block-item-video {
	display: block;
	position: relative;
}

.tc-picture-wrap {
	text-align: center;
	background: var(--grey);
	border-radius: var(--border-radius);
	margin-bottom: 16px;
}

.tc-picture-wrap img {
	vertical-align: top;
}

.p-blog-content-wrap .p-blog-content-aside {
	z-index: 10;
}

.b-departments-previews  {
	.item {
		border-radius: 28px;
		overflow: hidden;
		position: relative;
		background-color: #D1D1D1;
		min-height: 100%;
		width: 100%;
		display: flex;
	}
	.item-img {
		position: absolute;
		inset: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
		object-position: center right;
	}
	.item-body {
		position: relative;
		padding: 24px;
		background: linear-gradient(270deg, rgba(209, 209, 209, 0.3) 0%, #d1d1d1 55.15%);
		display: flex;
		flex-direction: column;
		align-items: start;
		aspect-ratio: 573/424;
		flex-grow: 1;
		width: 100%;
		@media (max-width: 1199px) {
			padding: 16px;
		}
	}
	.item-badge {
		border-radius: 16px;
		padding: 7px 12px;
		font-size: 14px;
	}
	.item-title {
		min-height: 80px;
		font-weight: 500;
		font-size: 32px;
		line-height: 125%;
		@media (max-width: 1199px) {
			font-size: 24px;
		}
	}

	.item-sub-links {
		display: flex;
		gap: 8px 6px;
		flex-wrap: wrap;
		align-items: start;
		margin-bottom: 24px;
		margin-top: 32px;
		width: 100%;
		@media (max-width: 1199px) {
			margin-bottom: 24px;
			margin-top: 12px;
		}
	}

	.item-sub-link {
		padding: 12px 17px;
		font-weight: 600;
		font-size: 16px;
		line-height: 125%;
		max-width: 100%;
		text-overflow: ellipsis;
		overflow: hidden;
		@media (max-width: 1199px) {
			padding: 8px;
			font-size: 14px;
		}
	}
}

.badge-tag:hover {
	color: var(--65-opacity-dark);
}

@media (min-width: 1200px) {
	.b-works__slider:not(.swiper-initialized) {
		.swiper-slide {
			width: 33%;
			padding-right: 20px;
		}
	}
}


.b-works .item-work-badges.is-bottom {
	position: absolute;
	top: auto;
	bottom: 16px;
}

.b-specialist-preview-xs {
	padding: 12px 0;
	border-bottom: 1px solid rgba(0, 0, 0, .1);
}

.b-specialist-preview-xs:last-child {
	padding-bottom: 0;
	border-bottom: 0;
}

.b-specialist-preview-xs__img-wrap {
    flex: 0 0 auto;
    width: 64px;
    height: 64px;
    border-radius: 100%;
    display: flex;
    align-items: start;
    justify-content: center;
    padding: 12px 0 0;
    overflow: hidden;
    background: var(--grey);
		margin-right: 16px;
}

.b-specialist-preview-xs {
    display: flex;
    align-items: center;
}

.b-specialist-preview-xs__img {
    width: 200%;
}

.b-specialist-preview-xs__title {
	/*Desktop 18*/
	font-weight: 500;
	font-size: 18px;
	line-height: 150%;
	letter-spacing: -0.01em;
	color: var(--dark);
}
.b-specialist-preview-xs__caption {
	/*Desktop 16*/
	margin-top: 4px;
	font-weight: 500;
	font-size: 16px;
	line-height: 150%;
	letter-spacing: -0.01em;
	color: var(--65-opacity-dark);
}

.mega-menu-search-results-list .b-specialist-preview-xs::after {
    content: "";
    color: var(--dark);
    margin-left: auto;
    --icon: var(--url-icon-arrow-right);
    display: inline-block;
    width: 1em;
    height: 1em;
    font-family: Arial, Helvetica, sans-serif;
    text-transform: none;
    font-weight: 400 !important;
    vertical-align: -.125em;
    -webkit-mask-image: var(--icon);
    mask-image: var(--icon);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    background-color: currentColor;
    -webkit-mask-position: center;
    font-size: 24px;
}

.mega-menu-search-bottom {
	position: sticky;
	bottom: 0;
	z-index: 10;
	padding-top: 20px;
	background: linear-gradient(180deg, transparent 0px, var(--body-bg) 20px 50%, var(--body-bg) 50% 100%);
}

.b-form-section.b-form-section_border {
	padding: 24px 16px;
	margin-top: 0;
	margin-bottom: 0;
	@media (min-width: 1779.89px) {
		margin-left: -40px;
		margin-right: -40px;
	}
	@media (max-width: 575.98px) {
		margin-left: -12px;
		margin-right: -12px;
		padding-left: 12px;
		padding-right: 12px;
	}
	@media (min-width: 767.89px) {
		padding: 32px 32px;
	}
	@media (min-width: 1779.89px) {
		padding: 52px 48px;
	}
}

.line-clamp-2 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.sp-block-two-columns {
	@media (min-width: 1779.89px) {
    .section-heading {
			margin-bottom: 24px;
		}
		p + .section-heading {
			margin-top: 64px;
		}
	}
}

.sp-block-container > .sp-block-heading {
	margin-top: var(--section-top);
}
.sp-block-container > .sp-block-heading:first-child {
	margin-top: 0;
}
.sp-block-container > .section:first-child {
	margin-top: 0;
}

.sp-block-dashed + .sp-block-two-columns .sp-block-heading:first-child {
    margin-top: calc(var(--section-top) - 32px);
}


.sp-block-text {
	p + *,
	ul + *,
	ol + *,
	div + * {
		margin-top: var(--flow-space);
	}
	.h2, h2 {
		--flow-space: 32px;
	}
	.h3, h3 {
		--flow-space: 32px;
	}
	.h4, h4 {
		--flow-space: 16px;
	}
	.h3, h3 {
		font-size: 24px;
	}
}

.news-grid .b-news-card:nth-child(1):only-child {
    grid-column: 1;
}

.form-select {
	max-width: 100%;
}


.sp-block-image {
    border-radius: 20px;
    overflow: hidden;
    background-color: var(--65-opacity-dark);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-top: 24px;
    margin-bottom: 24px;
    --flow-space: 24px;
}

@media (max-width: 767.81px) {
	.b-services-summary__text .b-services-summary__tags-list .badge-tag {
		padding: 8px;
	}
}

@media (max-width: 576.81px) {
	.pagination-block {
		flex-grow: 1;
	}

	.pagination-block .pagination-block__more {
		--btn-padding-x: 18px;
		min-width: unset;
	}

  /* 1. Скрываем все номера страниц по умолчанию */
  .pagination-block .pagination-link:not(.prev):not(.next) {
    display: none;
  }

  /* 2. Показываем первую, последнюю и активную всегда */
  .pagination-block .pagination .pagination-link.active {
    display: inline-block;
  }

  /* 3. Стандартные соседи (один слева и один справа от активной) */
  .pagination-block .pagination .pagination-link:has(+ .active),
  .pagination-block .pagination .pagination-link.active + .pagination-link {
    display: inline-block;
  }

  /* 4. Дополнительный сосед СПРАВА, если активная — ПЕРВАЯ (чтобы видеть 1, 2, 3) */
  .pagination-block .pagination .pagination-link.is-first.active + .pagination-link + .pagination-link {
    display: inline-block;
  }

  /* 5. Дополнительный сосед СЛЕВА, если активная — ПОСЛЕДНЯЯ (чтобы видеть ... 8, 9, 10) */
  .pagination-block .pagination .pagination-link:has(+ .pagination-link + .pagination-link.is-last.active) {
    display: inline-block;
  }
}


.chip-type-dropdown {
	max-width: 100%;
}

.custom-select.ts-wrapper.single .form-select {
	white-space: nowrap;
	text-overflow: ellipsis;
}

@media (max-width: 1023.98px) {
	.js-events-slider .swiper-wrapper {
			flex-direction: column;
	}
	
	.js-events-slider .swiper-slide:nth-child(n+4) {
			display: none;
	}
}

.b-service-previews--no-after.b-service-previews .item::after {
	display: none;
}

.p-about-offices  .office-gallery-nav-btn.swiper-button-lock {
	display: none;
}

.tc-block-gallery .tc-block-gallery__img.is-vertical {
	object-fit: contain;
}

.iphk-gallery {
	max-width: 1168px;
	margin-left: auto;
	margin-right: auto;
	.iphk-gallery__slider {
		img {
			width: 100%;
			height: auto;
			vertical-align: top;
			border-radius: 40px;
			aspect-ratio: 16/9;
			object-fit: cover;
			@media (max-width:1023.98px) {
				border-radius: 20px;
			}
		}
	}
	.iphk-gallery__thumbs-wrap {
		padding: 4px;
		margin-top: 16px;
		margin-left: -4px;
		margin-right: -4px;
		overflow: hidden;
		@media (max-width:575.98px) {
			overflow: visible;
		}
	}
	.iphk-gallery__thumbs {
		overflow: visible;
		img {
			width: 100%;
			height: auto;
			vertical-align: top;
			border-radius: 20px;
			aspect-ratio: 16/9;
			object-fit: cover;
			opacity: 0.3;
			transition: opacity 0.3s;
			@media (max-width:1023.98px) {
				border-radius: 16px;
			}
			@media (max-width:575.98px) {
				border-radius: 8px;
			}
		}
		.swiper-slide-thumb-active {
			img {
				opacity: 1;
				outline: 2px solid #263A24;
    		outline-offset: 2px;
			}
		}
		.swiper-slide {
			cursor: pointer;
			width: calc(100%/7 - 7px);
			@media (max-width:1023.98px) {
				width: calc(100%/5 - 7px);
			}
			@media (max-width:575.98px) {
				width: calc(100%/4 + 2%);
			}
		}
	}
}

.form-search-wrap.is-stay-active .form-search-controls {
    display: flex !important;
}

.custom-select.ts-wrapper .ts-control input[placeholder="Специальность"] {
    min-width: calc(120rem/16);
}
